## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-argon2-cffi
Version:        23.1.0
Release:        %autorelease
Summary:        The secure Argon2 password hashing algorithm

License:        MIT
URL:            https://argon2-cffi.readthedocs.io/
Source:         %{pypi_source argon2_cffi}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
CFFI-based Argon2 Bindings for Python.}

%description %_description


%package -n     python3-argon2-cffi
Summary:        %{summary}

%description -n python3-argon2-cffi %_description


%prep
%autosetup -n argon2_cffi-%{version}
# don't BR coverage, we will not measure it
sed -Ei 's/"coverage[^"]+", //' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files argon2


%check
%pytest


%files -n python3-argon2-cffi -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 23.1.0-2
- Rebuilt for Python 3.13

* Fri Apr 05 2024 Charalampos Stratakis <cstratak@redhat.com> - 23.1.0-1
- Rebase to 23.1.0
- Resolves: rhbz#2232149

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 21.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 21.3.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 21.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 05 2022 Miro Hrončok <miro@hroncok.cz> - 21.3.0-1
- Update to 21.3.0

* Mon Dec 05 2022 Miro Hrončok <miro@hroncok.cz> - 21.1.0-3
- Confirm the license tag is correct SPDX

* Mon Dec 05 2022 Miro Hrončok <miro@hroncok.cz> - 21.1.0-2
- Don't build the documentation to simplify packaging

* Mon Oct 10 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 21.1.0-1
- build(update): 21.1.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 20.1.0-9
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 20.1.0-6
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Miro Hrončok <mhroncok@redhat.com> - 20.1.0-5
- Stop requiring test dependencies on runtime
- Run tests during build

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 20.1.0-2
- Rebuilt for Python 3.9

* Thu May 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 20.1.0-1
- Update to 20.1.0
- Disable LTO

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 19.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 19.2.0-1
- Update to 19.2.0
- Switch to {pypi_source}
- Enable LTO
- Cosmetic spec file fix
- Minimum Python version is >= 3.5 now

* Fri Jun 14 2019 Pavlo Rudyi <paulcarroty@fedoraproject.org> - 19.1.0-1
- initial build

## END: Generated by rpmautospec
